aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/src
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2014-04-21 00:46:27 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2014-04-21 00:46:27 +0200
commit91ef9dbbea26573414220073dd92bba4b1d4c94a (patch)
tree02f512f382e0aca27f5d5e494df90aae9ccdb780 /src
parentmakefile: install completion automatically and adjust lib paths (diff)
downloadpassword-store-91ef9dbbea26573414220073dd92bba4b1d4c94a.tar.xz
password-store-91ef9dbbea26573414220073dd92bba4b1d4c94a.zip
insert: Go to top of loop if invalid read.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/password-store.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 8b6db79..65e76b7 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -421,9 +421,9 @@ cmd_insert() {
local password
local password_again
while true; do
- read -r -p "Enter password for $path: " -s password
+ read -r -p "Enter password for $path: " -s password || continue
echo
- read -r -p "Retype password for $path: " -s password_again
+ read -r -p "Retype password for $path: " -s password_again || continue
echo
if [[ $password == "$password_again" ]]; then
$GPG -e "${GPG_RECIPIENT_ARGS[@]}" -o "$passfile" $GPG_OPTS <<<"$password"